Skip to main content
GET
/
v1
/
asset
/
policy
/
{policy_id}
/
events
Get asset policy events
curl --request GET \
  --url https://api.projectdiscovery.io/v1/asset/policy/{policy_id}/events \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.projectdiscovery.io/v1/asset/policy/{policy_id}/events"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.projectdiscovery.io/v1/asset/policy/{policy_id}/events', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "events": [
      {
        "event_type": "<string>",
        "subject_type": "<string>",
        "subject_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "subject_name": "<string>",
        "error_message": "<string>",
        "channel": "<string>",
        "destination": "<string>",
        "alert_config_id": "<string>",
        "asset_policy_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "seen": true,
        "message_payload": {}
      }
    ]
  },
  "total": 123,
  "limit": 123,
  "offset": 123,
  "message": "<string>"
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}

Example Request

curl -X GET "https://api.projectdiscovery.io/v1/asset/policy/POLICY_ID/events?limit=20&offset=0" \
  -H "X-Api-Key: YOUR_API_KEY"

Authorizations

X-API-Key
string
header
required

Path Parameters

policy_id
string
required

Unique identifier of the asset policy

Query Parameters

limit
integer

Maximum results per page (default: 50, max: 100)

offset
integer

Number of items to skip for pagination

Response

Shared Response

data
object
total
integer
limit
integer
offset
integer
message
string